////////////////////////////////////////////////////////////////////////////
//   Copyright 2013  Teradici Corporation
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms and conditions of the GNU General Public License,
//   version 2, as published by the Free Software Foundation.
//
////////////////////////////////////////////////////////////////////////////
/// \file
/// \brief
///     Host Communications Channel Module
///
///     This file defines the HCC module API prototypes and definitions.
///
////////////////////////////////////////////////////////////////////////////

#pragma once

// ---- Include Files -------------------------------------------------------

// ---- Constants and Types -------------------------------------------------

// HCC GFUN function capability bitmask
#define TERA_HCC_GFUN_FUNC_CAP_BITMASK  0x2

// ---- Variable Externs ----------------------------------------------------

// ---- Function Prototypes -------------------------------------------------

extern INT32 tera_hcc_init_phase1(
    struct  pci_dev *dev
    );

extern INT32 tera_hcc_init_phase2(
    struct  pci_dev *dev
    );

extern void tera_hcc_cleanup(
    struct  pci_dev *dev
    );

extern INT32 tera_hcc_start(
    struct  pci_dev *dev
    );

extern void tera_hcc_stop(
    struct  pci_dev *dev
    );

extern INT32 tera_hcc_ioctl_proc(
    struct  pci_dev *dev,
    unsigned int  ioctl,
    unsigned long arg
    );

