////////////////////////////////////////////////////////////////////////////
//   Copyright 2013  Teradici Corporation
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms and conditions of the GNU General Public License,
//   version 2, as published by the Free Software Foundation.
//
////////////////////////////////////////////////////////////////////////////
/// \file
/// \brief
///     T/L/V functions
///
//
////////////////////////////////////////////////////////////////////////////

#pragma once

// ---- Include Files -------------------------------------------------------

// ---- Constants and Types -------------------------------------------------
#define TERA_TLV_LLDP_TYPE_MASK         0xFE00
#define TERA_TLV_LLDP_TYPE_BITOFFSET    9
#define TERA_TLV_LLDP_LENGTH_MASK       0x01FF

// ---- Variable Externs ----------------------------------------------------

// ---- Function Prototypes -------------------------------------------------

extern void tera_tlv_set_tlvraw(
    sTERA_BSTREAM_CBLK     *cb,
    UINT32                  type,
    UINT32                  length,
    UINT8                  *value
    );

extern void tera_tlv_set_tlvlldp(
    sTERA_BSTREAM_CBLK     *cb,
    UINT32                  type,
    UINT32                  length,
    UINT8                  *value
    );

extern void tera_tlv_set_tlv8(
    sTERA_BSTREAM_CBLK     *cb,
    UINT32                  type,
    UINT8                   value
    );

extern void tera_tlv_set_tlv16(
    sTERA_BSTREAM_CBLK     *cb,
    UINT32                  type,
    UINT16                  value
    );

extern void tera_tlv_set_tlv32(
    sTERA_BSTREAM_CBLK     *cb,
    UINT32                  type,
    UINT32                  value
    );

extern void tera_tlv_get_tl(
    sTERA_BSTREAM_CBLK     *cb,
    UINT32                 *type,
    UINT32                 *length,
    UINT32                 *next_tlv_offset
    );

extern void tera_tlv_get_tl_lldp(
    sTERA_BSTREAM_CBLK     *cb,
    UINT32                 *type,
    UINT32                 *length,
    UINT32                 *next_tlv_offset
    );

extern void tera_tlv_get_vraw(
    sTERA_BSTREAM_CBLK     *cb,
    UINT32                  length,
    UINT8                  *value
    );

extern void tera_tlv_get_vraw_nopad(
    sTERA_BSTREAM_CBLK     *cb,
    UINT32                  length,
    UINT8                  *value
    );

extern void tera_tlv_get_v8(
    sTERA_BSTREAM_CBLK     *cb,
    UINT8                  *value
    );

extern void tera_tlv_get_v16(
    sTERA_BSTREAM_CBLK     *cb,
    UINT16                 *value
    );

extern void tera_tlv_get_v32(
    sTERA_BSTREAM_CBLK     *cb,
    UINT32                 *value
    );

extern void tera_tlv_log_t(
    UINT32  type
    );


