////////////////////////////////////////////////////////////////////////////
//   Copyright 2013  Teradici Corporation
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms and conditions of the GNU General Public License,
//   version 2, as published by the Free Software Foundation.
//
////////////////////////////////////////////////////////////////////////////
/// \file
/// \brief
///     Standard variable types
///
///     This file defines the standard variable types that should
///     be used by all modules.
//
////////////////////////////////////////////////////////////////////////////

#pragma once

// ---- Include Files -------------------------------------------------------

// ---- Constants and Types -------------------------------------------------

#ifndef NULL
#define NULL            ((void *)(0))       ///< Null pointer value
#endif

typedef signed char         INT8;           ///< 8 bit wide signed integer
typedef unsigned char       UINT8;          ///< 8 bit wide unsigned integer
typedef unsigned char       BYTE;           ///< 8 bit wide field
typedef signed short        INT16;          ///< 16 bit wide signed integer
typedef unsigned short      UINT16;         ///< 16 bit wide unsigned integer
typedef signed int          INT;            ///< native integer
typedef signed int          INT32;          ///< 32 bit wide signed integer
typedef unsigned int        UINT32;         ///< 32 bit wide unsigned integer
typedef unsigned long long  UINT64;         ///< 64 bit wide unsigned integer

#define mTERA_UINT16_BYTE_SWAP(a) ((((a) & 0x00FF) << 8) |        \
                                   (((a) & 0xFF00) >> 8))
#define mTERA_UINT32_BYTE_SWAP(a) ((((a) & 0x000000FF) << 24) |   \
                                   (((a) & 0x0000FF00) << 8)  |   \
                                   (((a) & 0x00FF0000) >> 8)  |   \
                                   (((a) & 0xFF000000) >> 24))

