////////////////////////////////////////////////////////////////////////////
//   Copyright 2013  Teradici Corporation
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms and conditions of the GNU General Public License,
//   version 2, as published by the Free Software Foundation.
//
////////////////////////////////////////////////////////////////////////////
/// \file
/// \brief
///     PCoIP Host Software About Property Page Class
///
///     This file defines the PCoIP Host Software About property page class.
///
////////////////////////////////////////////////////////////////////////////

#pragma once

// ---- Include Files -------------------------------------------------------

#include "tera_pcoip_agent_gui_res.h"

// ---- Constants and Types -------------------------------------------------

// --------------------------------------------------------------------------
//  cPCOIP_AGENT_GUI_PROP_ABOUT
///     About property page
//
//  Description:
///     This class defines the PCoIP Host Software About property page. This
///     property page shows the application version, trademark and copyright
///     information.
///
class cPCOIP_AGENT_GUI_PROP_ABOUT : public cPCOIP_AGENT_GUI_PROP_ABOUT_BASE
{

public:

    // --- Public Functions -------------------------------------------------

    cPCOIP_AGENT_GUI_PROP_ABOUT(
        wxWindow *parent);
}; // cPCOIP_AGENT_GUI_PROP_ABOUT

// ---- Variable Externs ----------------------------------------------------

// ---- Function Prototypes -------------------------------------------------

