////////////////////////////////////////////////////////////////////////////
//   Copyright 2013  Teradici Corporation
//
//   This program is free software; you can redistribute it and/or modify it
//   under the terms and conditions of the GNU General Public License,
//   version 2, as published by the Free Software Foundation.
//
////////////////////////////////////////////////////////////////////////////
/// \file
/// \brief
///     PCoIP Host Software Network Property Page Class
///
///     This file defines the PCoIP Host Software Network property page class.
///
////////////////////////////////////////////////////////////////////////////

#pragma once

// ---- Include Files -------------------------------------------------------

#include "tera_pcoip_agent_gui_res.h"

// ---- Constants and Types -------------------------------------------------

// --------------------------------------------------------------------------
//  cPCOIP_AGENT_GUI_PROP_NET
///     PCoIP Host Software Network property page
//
//  Description:
///     This class defines the PCoIP Host Software Network property page.
///     This page shows the network configuration of the blade and client if
//      available.
///
class cPCOIP_AGENT_GUI_PROP_NET : public cPCOIP_AGENT_GUI_PROP_NET_BASE
{

public:

    // --- Public Functions -------------------------------------------------

    cPCOIP_AGENT_GUI_PROP_NET(
        wxWindow *parent);

    ~cPCOIP_AGENT_GUI_PROP_NET(void);

    // --- Public Variables -------------------------------------------------

protected:

    // --- Protected Functions ----------------------------------------------

    // Event handlers
    void evt_init_dialog(
        wxInitDialogEvent& evt);

    void evt_refresh_btn(
        wxCommandEvent& evt);

    // Function overrides

    // Local functions
    void prop_grid_populate(void);

    void help_btn_setup(int display_help);

    // --- Protected Variables ----------------------------------------------

    DECLARE_EVENT_TABLE()
}; // cPCOIP_AGENT_GUI_PROP_NET

// ---- Variable Externs ----------------------------------------------------

// ---- Function Prototypes -------------------------------------------------

